this.name      	= "oolite-tianve";
this.author    	= "Drew Wagar and Contributions by Commander McLane";
this.copyright 	= " 2009 Drew Wagar.";
this.description 	= "Makeover for the Tianve Star System in Chart One";
this.version   	= "1.3";

this.shipWillLaunchFromStation = function(launchStation)
{
	if(launchStation == system.mainStation && system.ID == 246 && galaxyNumber == 0)
	{
		player.consoleMessage("Don't forget to visit the Pulsar whilst you're here, Commander!",5);
	}
	if(launchStation.name === "Tianve Pulsar Monitoring Station")
	{
		delete missionVariables.TL_FOR_EQ_TIANVE_STICKER;
	}
}

this.shipExitedWitchspace = function()
{
	if(system.ID == 246 && galaxyNumber == 0)
	{
		player.consoleMessage("Welcome to Tianve! To visit the Pulsar, select 'P' on your advanced space compass, Commander!",5);
	}
}

this.shipWillDockWithStation = function(station)
{
	if(station.name === "Tianve Pulsar Monitoring Station")
	{
		EquipmentInfo.infoForKey("EQ_TIANVE_STICKER").effectiveTechLevel = 11;
	}
}

this.playerBoughtEquipment = function(equipmentKey)
{
	if(equipmentKey === "EQ_TIANVE_STICKER")
	{
		mission.setInstructionsKey("tianve_sticker");
		player.ship.removeEquipment("EQ_TIANVE_STICKER");
	}
}